<!-- Main Content -->
<div
    ng-bind-html="wbModel.text | wbunsafe"
	ng-if="!isSelected()">
</div>
<div
	ui-tinymce="{
 		selector : 'div.tinymce',
 		theme : 'inlite',
 		plugins : 'directionality contextmenu table link paste image imagetools hr textpattern autolink textcolor colorpicker',
 		insert_toolbar : 'quickimage quicktable',
 		selection_toolbar : 'bold italic | quicklink h1 h2 h3 blockquote | ltr rtl | forecolor',
 		insert_button_items: 'image link | inserttable | hr',
 		inline : true,
 		paste_data_images : true,
 		branding: false,
 		imagetools_toolbar: 'rotateleft rotateright | flipv fliph | editimage imageoptions'
 	}"
	ng-model="wbModel.text"
	flex
	ng-if="isSelected()">
</div>
<!-- Choices -->
<md-radio-group 
	ng-if="!isSelected()">
	<md-radio-button
		ng-repeat="s in wbModel.choices"
		ng-value="s.value"
		aria-label="{{s.title}}"
		layout="row">
		<div 
			data-ng-bind-html="s.content">
		</div>
	</md-radio-button>
</md-radio-group>
<div
	ng-if="isSelected()"
	layout="column">
	<div 
		ng-repeat="s in wbModel.choices"
		layout="row"
		layout-aligne="start center">
		<md-button 
			aria-label="delete choice" 
			ng-click="deleteChoice($index)">
			<wb-icon>delete</wb-icon>
		</md-button>
		<div 
			ui-tinymce="{
				selector : 'div.tinymce',
				theme : 'inlite',
				plugins : 'directionality contextmenu table link paste image imagetools hr textpattern autolink textcolor colorpicker',
				insert_toolbar : 'quickimage quicktable',
				selection_toolbar : 'bold italic | quicklink h1 h2 h3 blockquote | ltr rtl | forecolor',
				insert_button_items: 'image link | inserttable | hr',
				inline : true,
				paste_data_images : true,
				branding: false,
				imagetools_toolbar: 'rotateleft rotateright | flipv fliph | editimage imageoptions'
			}"
			ng-model="s.content">
		</div>
	</div>
	<div
		layout="row">
		<md-button 
			aria-label="add choice" 
			ng-click="addChoice()">
			<wb-icon>add</wb-icon>
			<span translate>Add</span>
		</md-button>
		<span flex></span>
	</div>
</div>